Bug 36397 - The sequence of detecting PCI card depend on the kernel package(UP or SMP)
The sequence of detecting PCI card depend on the kernel package(UP or SMP)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 21:32 EDT by Keiichi Mori
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 11:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keiichi Mori 2001-04-17 21:32:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [ja/[Vine,RedHat]] (X11; U; Linux 2.2.16-22 i686)


A machine(Netfinity4500R,Dual-CPU) have two IBM ServeRAID cards(ServeRAID4L
and ServeRAID4H). The both use ips.o driver. 
When the installation of RH7.1 and booting by SMP-kernel(kernel-smp) or
kernel-BOOT, it detect ServeRAID4L first, and next it detect ServeRAID4H.
But when booting by UP-kernel, it detecting ServeRAID4H first.
So the UP-kernel lost root filesystem, and kernel is panic.


Reproducible: Always
Steps to Reproduce:
1.Make a dual-cpu machine which have ServeRAID4L and ServeRAID4H ready.
2.Install RH7.1 to this machine.
3.Boot by SMP-kernel
4.Boot by UP-kernel


Actual Results:  Booting by SMP-kernel is sucessful.
Booting by UP-kernel is failed.
(Because the sequence of detecting ServeRAID cards is difference.)


Expected Results:  The sequence of detecting them does NOT depend on kernel
package.
Comment 1 Arjan van de Ven 2001-04-18 04:15:06 EDT
Is it possible to give "lspci -v" for both (or rather all three) situations ?
Comment 2 Keiichi Mori 2001-04-19 00:59:41 EDT
Here are results of "lspci -v" for all situations. (adding boot option
"root=/dev/sdbx" for up-kernel)


-------------------------< kernel-smp
>-------------------------------------------------

00:00.0 Host bridge: ServerWorks CNB20LE (rev 05)
Flags: bus master, medium devsel, latency 48

00:00.1 Host bridge: ServerWorks CNB20LE (rev 05)
Flags: bus master, medium devsel, latency 48

00:01.0 VGA compatible controller: S3 Inc. Savage 4 (rev 04) (prog-if 00 [VGA])
Subsystem: IBM: Unknown device 01c5
Flags: bus master, medium devsel, latency 248
Memory at feb80000 (32-bit, non-prefetchable) [size=512K]
Memory at f0000000 (32-bit, prefetchable) [size=128M]
Expansion ROM at <unassigned> [disabled] [size=64K]
Capabilities: [dc] Power Management version 1

00:02.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE]
(rev 44)
Subsystem: IBM: Unknown device 2000
Flags: bus master, medium devsel, latency 48, IRQ 27
I/O ports at 2000 [size=32]
Memory at feb7fc00 (32-bit, non-prefetchable) [size=32]
Expansion ROM at <unassigned> [disabled] [size=1M]
Capabilities: [40] Power Management version 2

00:09.0 RAID bus controller: IBM Netfinity ServeRAID controller
Subsystem: IBM: Unknown device 01bf
Flags: bus master, medium devsel, latency 48, IRQ 16
Memory at feb7c000 (32-bit, prefetchable) [size=8K]
Expansion ROM at <unassigned> [disabled] [size=32K]

00:0f.0 ISA bridge: ServerWorks OSB4 (rev 4f)
Subsystem: ServerWorks OSB4
Flags: bus master, medium devsel, latency 0

00:0f.1 IDE interface: ServerWorks: Unknown device 0211 (prog-if 8a [Master SecP
PriP])
Flags: bus master, medium devsel, latency 48
I/O ports at 0840 [size=16]

00:0f.2 USB Controller: ServerWorks: Unknown device 0220 (rev 04) (prog-if 10
[OHCI])
Subsystem: ServerWorks: Unknown device 0220
Flags: bus master, medium devsel, latency 48, IRQ 9
Memory at ff700000 (32-bit, non-prefetchable) [size=4K]

01:03.0 SCSI storage controller: Adaptec 7899P (rev 01)
Subsystem: IBM: Unknown device 019d
Flags: bus master, 66Mhz, medium devsel, latency 48, IRQ 28
BIST result: 00
I/O ports at 4b00 [size=256]
Memory at effff000 (64-bit, non-prefetchable) [size=4K]
Expansion ROM at <unassigned> [disabled] [size=128K]
Capabilities: [dc] Power Management version 2

01:03.1 SCSI storage controller: Adaptec 7899P (rev 01)
Subsystem: IBM: Unknown device 019d
Flags: bus master, 66Mhz, medium devsel, latency 48, IRQ 29
BIST result: 00
I/O ports at 4c00 [size=256]
Memory at efffe000 (64-bit, non-prefetchable) [size=4K]
Expansion ROM at <unassigned> [disabled] [size=128K]
Capabilities: [dc] Power Management version 2

01:05.0 Ethernet controller: Intel Corporation 82542 Gigabit Ethernet Adapter
(rev 03)
Subsystem: IBM Netfinity Gigabit Ethernet SX Adapter
Flags: bus master, medium devsel, latency 48, IRQ 20
Memory at effc0000 (32-bit, non-prefetchable) [size=128K]
Capabilities: [dc] Power Management version 1

01:06.0 RAID bus controller: IBM ServeRAID-3x (rev 10)
Subsystem: IBM: Unknown device 022e
Flags: bus master, medium devsel, latency 48, IRQ 22
I/O ports at 4d00 [size=256]
Memory at efe00000 (32-bit, non-prefetchable) [size=1M]
Expansion ROM at <unassigned> [disabled] [size=32K]
Capabilities: [40] Vital Product Data
Capabilities: [48] Power Management version 2


---------------------< kernel-up >-----------------------------------------

00:00.0 Host bridge: ServerWorks CNB20LE (rev 05)
        Flags: bus master, medium devsel, latency 48

00:00.1 Host bridge: ServerWorks CNB20LE (rev 05)
        Flags: bus master, medium devsel, latency 48

00:01.0 VGA compatible controller: S3 Inc. Savage 4 (rev 04) (prog-if 00 [VGA])
        Subsystem: IBM: Unknown device 01c5
        Flags: bus master, medium devsel, latency 248
        Memory at feb80000 (32-bit, non-prefetchable) [size=512K]
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1

00:02.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE]
(rev 44)
        Subsystem: IBM: Unknown device 2000
        Flags: bus master, medium devsel, latency 48, IRQ 15
        I/O ports at 2000 [size=32]
        Memory at feb7fc00 (32-bit, non-prefetchable) [size=32]
        Expansion ROM at <unassigned> [disabled] [size=1M]
        Capabilities: [40] Power Management version 2

00:09.0 RAID bus controller: IBM Netfinity ServeRAID controller
        Subsystem: IBM: Unknown device 01bf
        Flags: bus master, medium devsel, latency 48, IRQ 11
        Memory at feb7c000 (32-bit, prefetchable) [size=8K]
        Expansion ROM at <unassigned> [disabled] [size=32K]

00:0f.0 ISA bridge: ServerWorks OSB4 (rev 4f)
        Subsystem: ServerWorks OSB4
        Flags: bus master, medium devsel, latency 0

00:0f.1 IDE interface: ServerWorks: Unknown device 0211 (prog-if 8a [Master SecP
PriP])
        Flags: bus master, medium devsel, latency 48
        I/O ports at 0840 [size=16]

00:0f.2 USB Controller: ServerWorks: Unknown device 0220 (rev 04) (prog-if 10
[OHCI])
        Subsystem: ServerWorks: Unknown device 0220
        Flags: bus master, medium devsel, latency 48, IRQ 9
        Memory at ff700000 (32-bit, non-prefetchable) [size=4K]

01:03.0 SCSI storage controller: Adaptec 7899P (rev 01)
        Subsystem: IBM: Unknown device 019d
        Flags: bus master, 66Mhz, medium devsel, latency 48, IRQ 10
        BIST result: 00
        I/O ports at 4b00 [size=256]
        Memory at effff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2

01:03.1 SCSI storage controller: Adaptec 7899P (rev 01)
        Subsystem: IBM: Unknown device 019d
        Flags: bus master, 66Mhz, medium devsel, latency 48, IRQ 10
        BIST result: 00
        I/O ports at 4c00 [size=256]
        Memoryat efffe000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2

01:05.0 Ethernet controller: Intel Corporation 82542 Gigabit Ethernet Adapter
(rev 03)
        Subsystem: IBM Netfinity Gigabit Ethernet SX Adapter
        Flags: bus master, medium devsel, latency 48, IRQ 15
        Memory at effc0000 (32-bit, non-prefetchable) [size=128K]
        Capabilities: [dc] Power Management version 1

01:06.0 RAID bus controller: IBM ServeRAID-3x (rev 10)
        Subsystem: IBM: Unknown device 022e
        Flags: bus master, medium devsel, latency 48, IRQ 11
        I/O ports at 4d00 [size=256]
        Memory at efe00000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled] [size=32K]
        Capabilities: [40] Vital Product Data
        Capabilities: [48] Power Management version 2


---------------------< kernel-BOOT >-----------------------------------------

00:00.0 Host bridge: ServerWorks CNB20LE (rev 05)
        Flags: bus master, medium devsel, latency 48

00:00.1 Host bridge: ServerWorks CNB20LE (rev 05)
        Flags: bus master, medium devsel, latency 48

00:01.0 VGA compatible controller: S3 Inc. Savage 4 (rev 04) (prog-if 00 [VGA])
        Subsystem: IBM: Unknown device 01c5
        Flags: bus master, medium devsel, latency 248
        Memory at feb80000 (32-bit, non-prefetchable) [size=512K]
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1

00:02.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE]
(rev 44)
        Subsystem: IBM: Unknown device 2000
        Flags: bus master, medium devsel, latency 48, IRQ 15
        I/O ports at 2000 [size=32]
        Memory at feb7fc00 (32-bit, non-prefetchable) [size=32]
        Expansion ROM at <unassigned> [disabled] [size=1M]
        Capabilities: [40] Power Management version 2

00:09.0 RAID bus controller: IBM Netfinity ServeRAID controller
        Subsystem: IBM: Unknown device 01bf
        Flags: bus master, medium devsel, latency 48, IRQ 11
        Memory at feb7c000 (32-bit, prefetchable) [size=8K]
        Expansion ROM at <unassigned> [disabled] [size=32K]

00:0f.0 ISA bridge: ServerWorks OSB4 (rev 4f)
        Subsystem: ServerWorks OSB4
        Flags: bus master, medium devsel, latency 0

00:0f.1 IDE interface: ServerWorks: Unknown device 0211 (prog-if 8a [Master SecP
PriP])
        Flags: bus master, medium devsel, latency 48
        I/O ports at 0840 [size=16]

00:0f.2 USB Controller: ServerWorks: Unknown device 0220 (rev 04) (prog-if 10
[OHCI])
        Subsystem: ServerWorks: Unknown device 0220
        Flags: bus master, medium devsel, latency 48, IRQ 9
        Memory at ff700000 (32-bit, non-prefetchable) [size=4K]

01:03.0 SCSI storage controller: Adaptec 7899P (rev 01)
        Subsystem: IBM: Unknown device 019d
        Flags: bus master, 66Mhz, medium devsel, latency 48, IRQ 10
        BIST result: 00
        I/O ports at 4b00 [size=256]
        Memory at effff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2

01:03.1 SCSI storage controller: Adaptec 7899P (rev 01)
        Subsystem: IBM: Unknown device 019d
        Flags: bus master, 66Mhz, medium devsel, latency 48, IRQ 10
        BIST result: 00
        I/O ports at 4c00 [size=256]
        Memory at efffe000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2

01:05.0 Ethernet controller: Intel Corporation 82542 Gigabit Ethernet Adapter
(rev 03)
        Subsystem: IBM Netfinity Gigabit Ethernet SX Adapter
        Flags: bus master, medium devsel, latency 48, IRQ 15
        Memory at effc0000 (32-bit, non-prefetchable) [size=128K]
        Capabilities: [dc] Power Management version 1

01:06.0 RAID bus controller: IBM ServeRAID-3x (rev 10)
        Subsystem: IBM: Unknown device 022e
        Flags: bus master, medium devsel, latency 48, IRQ 11
        I/O ports at 4d00 [size=256]
        Memory at efe00000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled] [size=32K]
        Capabilities: [40] Vital Product Data
        Capabilities: [48] Power Management version 2

Comment 3 Alan Cox 2003-06-09 11:40:08 EDT
Newer Red Hat uses disk labels to handle volumes being re-ordered. The ordering
dependancy in IBM's ips driver should also be fixed ok nowdays

Note You need to log in before you can comment on or make changes to this bug.